//EchoClient.java

/**
 * Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0 2006.12.01
 * Copyright 2006 by Michael Claudius
 * All rights reserved
*/

//package SSLPackage;

import java.io.InputStream;
import java.io.OutputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.IOException;

import javax.net.ssl.SSLSocket;
import javax.net.ssl.SSLSocketFactory;

public
class EchoClient
{
  public static void main(String [] arstring)
  {
    try
    {
      SSLSocketFactory sslsocketfactory = (SSLSocketFactory)SSLSocketFactory.getDefault();
      SSLSocket sslsocket = (SSLSocket)sslsocketfactory.createSocket("localhost", 9999);

      InputStream inputstream = System.in;
      InputStreamReader inputstreamreader = new InputStreamReader(inputstream);
      BufferedReader bufferedreader = new BufferedReader(inputstreamreader);

      OutputStream outputstream = sslsocket.getOutputStream();
      OutputStreamWriter outputstreamwriter = new OutputStreamWriter(outputstream);
      BufferedWriter bufferedwriter = new BufferedWriter(outputstreamwriter);

      String string = null;
      while ((string = bufferedreader.readLine()) != null)
      {
        bufferedwriter.write(string + '\n');
        bufferedwriter.flush();
      }
      sslsocket.close();
    }
    catch (Exception exception)
    {
      exception.printStackTrace();
    }
  }
}
