//EchoServer1.java

/**
 * Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0 2006.12.01
 * Copyright 2006 by Michael Claudius
 * All rights reserved
*/

package SSLPackage;

import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.IOException;

import javax.net.ssl.SSLSocket;
import javax.net.ssl.SSLServerSocket;
import javax.net.ssl.SSLServerSocketFactory;

public class EchoServer1
{
  public static void main(String [] arstring)
  {
    try
    {	SSLContextFacade sslFacade = new SSLContextFacade();

		SSLServerSocketFactory sslserversocketfactory = sslFacade.getServerSocketFactory();

      //SSLServerSocketFactory sslserversocketfactory =
      //  (SSLServerSocketFactory)SSLServerSocketFactory.getDefault();
      SSLServerSocket sslserversocket =
        (SSLServerSocket)sslserversocketfactory.createServerSocket(9999);
      SSLSocket sslsocket = (SSLSocket)sslserversocket.accept();

      InputStream inputstream = sslsocket.getInputStream();
      InputStreamReader inputstreamreader = new InputStreamReader(inputstream);
      BufferedReader bufferedreader = new BufferedReader(inputstreamreader);

      String string = null;
      while ((string = bufferedreader.readLine()) != null)
      {
        System.out.println(string);
        System.out.flush();
      }
      sslserversocket.close();
    }
    catch (Exception exception)
    {
      exception.printStackTrace();
    }
  }
}
